Bug 990141 - quantum-openvswitch-agent should set the process name
quantum-openvswitch-agent should set the process name
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-neutron (Show other bugs)
3.0
x86_64 Linux
low Severity medium
: ---
: 4.0
Assigned To: Terry Wilson
Ofer Blaut
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-30 09:19 EDT by Jaroslav Henner
Modified: 2016-04-26 15:49 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-13 16:25:10 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jaroslav Henner 2013-07-30 09:19:19 EDT
Description of problem:
quantum-openvswitch-agent is not setting its process name so it remains to be "python"


Version-Release number of selected component (if applicable):
openstack-quantum-openvswitch-2013.1.2-4.el6ost.noarch

How reproducible:
1/1

Steps to Reproduce:
1. for PID in `pgrep -f quantum-openvswitch-agent`; do ps -p $PID; done
  PID TTY          TIME CMD
 3988 ?        04:41:45 python

2.
3.

Actual results:
 3988 ?        04:41:45 python


Expected results:
 3988 ?        04:41:45 quantum-openvswitch-agent

Additional info:
Comment 2 Terry Wilson 2013-11-13 16:25:10 EST
This has a target of 4.0, but is already fixed in 4.0.

Output:
# for PID in `pgrep -f neutron-openvswitch-agent`; do ps -p $PID; done
  PID TTY          TIME CMD
 8686 ?        00:00:01 neutron-openvsw

Note You need to log in before you can comment on or make changes to this bug.